/*
Theme Name: ByseArt2025
Author: François Chaussin
Author URI: 
Description: Child theme for Inspiro Blocks
Requires at least: 6.7
Tested up to: 6.7
Requires PHP: 5.7
Version: 0.2
License: GNU General Public License v2 or later
License URI: http://www.gnu.org/licenses/gpl-2.0.html
Template: inspiro-blocks
Text Domain: byseart2025
Tags: 
*/

@font-face {
  font-family: "Yuji Syuku";
  font-style: normal;
  font-weight: 400;
  font-display: swap;
  src: url("/wp-content/fonts/yuji-syuku/YujiSyuku-Regular.ttf") format("truetype");
}

body.project-template-default #header,
body.page-template-wp-custom-template-byse-home #header{
    position: absolute;
    top:0; left:0; right:0;
    margin: 0 !important;
    z-index: 9999;
}
#heading .wp-block-cover > .wp-block-cover__inner-container > .wp-block-heading{
    margin-top: 50vh !important;   
}



#lang-switcher-form {
  display: inline-block;
}
#lang-switcher-form select {
  background-color: transparent;
  color: var(--wp--preset--color--foreground);
  border: none;
  padding: .35em .75em;
  font-size: 1rem;
  border-radius: 4px;
  cursor: pointer;
  font-family: inherit;
}
#lang-switcher-form select:focus option {
  background-color: var(--wp--preset--color--background); 
  color: var(--wp--preset--color--foreground);
}





.wp-element-button:hover{
 box-shadow: 0 0 1.5em #e0c25d;
 color: var(--wp--preset--color--foreground) !important;
}
::marker{
  color: var(--wp--preset--color--primary)
}

input[type=submit],
.woocommerce #content input.button, .woocommerce #respond input#submit, .woocommerce a.button, .woocommerce button.button, .woocommerce input.button, .woocommerce-page #content input.button, .woocommerce-page #respond input#submit, .woocommerce-page a.button, .woocommerce-page button.button, .woocommerce-page input.button {
    all: unset;
    background-color: transparent !important;
    border: 2px solid !important;
    border-color: var(--wp--preset--color--lightgrey) !important;
    color: var(--wp--preset--color--foreground) !important;
    text-transform: uppercase;
    font-family: var(--wp--preset--font-family--montserrat) !important;
    font-size: var(--wp--preset--font-size--x-small) !important;
    font-style: normal !important;
    font-weight: 100 !important;
    letter-spacing: 1px !important;
    margin: 0 !important;
    padding-top: 0.667em !important;
    padding-right: 1.33em !important;
    padding-bottom: 0.667em !important;
    padding-left: 1.33em !important;
    cursor: pointer !important;
    transition: all 0.2s ease-in-out !important;
    
    &:hover{
        color: var(--wp--preset--color--foreground) !important;
        border-color: var(--wp--preset--color--primary) !important;
        box-shadow: 0 0 1.5em #e0c25d;
        background: transparent !important;
    }
}
span.wc-block-mini-cart__badge {
    color: var(--wp--preset--color--foreground);
    background-color: var(--wp--preset--color--primary);
    font-size: .8em;
}
footer.wp-block-template-part #mc_signup_form .mc_input {
    margin-bottom: 0;
}
.wp-block-navigation__responsive-container.is-menu-open span.wp-block-navigation-item__label {
    font-size: 1.8rem;
}


.fire-text,
body.error404 h2.wp-block-heading strong{
  background:
	radial-gradient(ellipse at 50% 50%, white, rgba(255, 255, 255, 0) 15%),
	radial-gradient(circle at 40% 30%, #fff1a8, transparent 20%),
	radial-gradient(ellipse at 50% 40%, #ffae42, transparent 50%),
	radial-gradient(ellipse at 50% 50%, #ff8d07, #c82500 60%, transparent 90%),
	radial-gradient(ellipse at 50% 50%, #c82500, #3d0303 70%, #1c0000 90%);
  background-size: 300% 300%;
  color: transparent;
  -webkit-background-clip: text;
  background-clip: text;
  animation:
    molten-flow 6s ease-in-out infinite,
	welder-flicker 2s linear infinite;
}

@keyframes molten-flow {
	0% { background-position: 0% 50%; }
	50% { background-position: 100% 50%; }
	100% { background-position: 0% 50%; }
}

@keyframes welder-flicker {
	0%, 9%, 11%, 19%, 21%, 69%, 71%, 100% {
		opacity: 1;
		text-shadow: 0 0 10px white, 0 0 20px #ffae42, 0 0 30px #ff8d07;
	}
	10%, 20%, 70% {
		opacity: 0.7;
		text-shadow: none;
	}
}

